## globus-core 5.16

=== debian/changelog ===
globus-core (5.16-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:29 +0200

globus-core (5.16-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 14 Apr 2010 17:51:12 +0200

globus-core (5.15-10) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 25 Jan 2010 19:43:10 +0100

globus-core (5.15-9) unstable; urgency=low

  * Replace /usr/bin/env shebangs.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Aug 2009 21:03:16 +0200

globus-core (5.15-8) unstable; urgency=low

  * Make globus-core work with automake 1.11.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 22 Jun 2009 09:35:51 +0200

globus-core (5.15-7) unstable; urgency=low

  * Really fix kfreebsd build configuration.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Jun 2009 14:42:50 +0200

globus-core (5.15-6) unstable; urgency=low

  * Fix build configuration for s390x and kfreebsd.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Jun 2009 20:44:28 +0200

globus-core (5.15-5) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.
  * Add -Wl,--as-needed to the Globus libtool file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 12 May 2009 14:49:09 +0200

globus-core (5.15-4) unstable; urgency=low

  * Preparing for other 64bit platforms than amd64.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 18 Apr 2009 21:10:32 +0200

globus-core (5.15-3) unstable; urgency=low

  * Add Debian specific patch to move the Globus libtool file out of sbin.
  * Initial release (Closes: #512967).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 17 Apr 2009 18:01:20 +0200

globus-core (5.15-2) UNRELEASED; urgency=low

  * Only quote the Apache-2.0 license if necessary.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 09:21:25 +0100

globus-core (5.15-1) UNRELEASED; urgency=low

  * First build.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Jan 2009 18:47:54 +0100
