=== debian/control ===
Source: globus-core
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libxml-dom-perl
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-core
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-core
Homepage: http://www.globus.org/

Package: globus-core
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, libxml-dom-perl
Description: Globus Toolkit - Globus Core
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-core package contains:
 Globus Core
