## globus-core 5.17

=== debian/changelog ===
globus-core (5.17-2) unstable; urgency=low

  * Add README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 25 Apr 2011 18:21:35 +0200

globus-core (5.17-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Jul 2010 14:43:21 +0200

globus-core (5.16-3) unstable; urgency=low

  * Move libtool script back to sbin (Closes: #584789)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 28 Jun 2010 22:15:56 +0200
