=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libxml-dom-perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-core
