=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 name = globus-core
 _name = globus_core
-version = 5.16
+version = 5.17
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -143,8 +143,8 @@
 	chmod -x $(INSTALLDIR)$(_datadir)/globus/globus-build-env-*.sh
 
 	# Add -Wl,--as-needed to the libtool script
-	sed 's! -shared ! \\$${wl}--as-needed&!g' \
-	  -i $(INSTALLDIR)$(_datadir)/globus/libtool-$(flavor)
+	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' \
+	  -i $(INSTALLDIR)$(_sbindir)/globus-libtool-$(flavor)
 
 	# Install the GPT metadata to pkg-config file converter
 	install debian/globus-gpt2pkg-config \
@@ -185,7 +185,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README
 	dh_install --fail-missing
 	dh_installman
 	dh_link
@@ -208,21 +208,21 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
-	    gt5.0.1-all-source-installer/source-trees/core/source ; \
-	  mv gt5.0.1-all-source-installer/source-trees/core/source \
+	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
+	    gt5.0.2-all-source-installer/source-trees/core/source ; \
+	  mv gt5.0.2-all-source-installer/source-trees/core/source \
 	    $(name)-$(version) ; \
 	  echo "Packing it up again." ; \
 	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
 	    $(name)-$(version) ; \
 	  echo "Cleaning up." ; \
-	  rm -rf gt5.0.1-all-source-installer $(name)-$(version) ; \
+	  rm -rf gt5.0.2-all-source-installer $(name)-$(version) ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
