## globus-core 8.5

=== debian/changelog ===
globus-core (8.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patches accepted upstream
  * Drop the globus-gpt2pkg-config script (now part of grid-packaging-tools)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Dec 2011 09:23:16 +0100
