=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-core
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libxml-dom-perl
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4)
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
@@ -12,7 +12,7 @@
 Package: globus-core
 Section: net
 Architecture: any
-Depends: ${misc:Depends}, ${perl:Depends}, libxml-dom-perl
+Depends: ${misc:Depends}, ${perl:Depends}, libxml-parser-perl
 Description: Globus Toolkit - Globus Core
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
