## globus-core 8.8

=== debian/changelog ===
globus-core (8.8-2) unstable; urgency=low

  * Fix s390 compilation on s390x

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 02 May 2012 17:31:21 +0200

globus-core (8.8-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patch globus-core-openssl.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 15:52:59 +0200

globus-core (8.5-2) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 15:31:37 +0100
