=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 configure-stamp:
 	dh_testdir
 
+	sed 's/5.2.0/5.2.1/' -i scripts/globus-spec-creator
 	sed 's/"$$LDFLAGS -L$$libdir "/"$$LDFLAGS "/' -i config/accompiler.m4
 
 	./bootstrap
@@ -102,6 +103,7 @@
 	rm -f pkgdata/*.gpt
 	rm -f pkgdata/$(name).pc
 	rm -f pkgdata/pkg_data_src.pc.in
+	rm -f gptdata.sh
 	rm -f aclocal/globus_automake*
 	rm -rf autom4te.cache
 
@@ -112,6 +114,7 @@
 	find . -name Makefile.in -exec rm {} ';'
 
 	sed 's/"$$LDFLAGS "/"$$LDFLAGS -L$$libdir "/' -i config/accompiler.m4
+	sed 's/5.2.1/5.2.0/' -i scripts/globus-spec-creator
 
 	rm -f build-stamp configure-stamp
