## globus-core 8.9

=== debian/changelog ===
globus-core (8.9-3) unstable; urgency=low

  * Add --force-missing to automake call in bootstrap

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Jun 2013 04:42:27 +0200

globus-core (8.9-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures
  * Fix build configuration for aarch64 and x32
  * Don't use AM_CONFIG_HEADER (automake 1.13)
  * Running latex 5 times is sometimes not enough

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 07:44:04 +0200

globus-core (8.9-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2
  * Drop patch globus-core-s390.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 08:41:56 +0200
