=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 name = globus-core
 _name = globus_core
-version = 8.5
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -20,9 +19,9 @@
 
 perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
 flavor = gcc64
 enable64 = yes
 else
@@ -35,13 +34,14 @@
 configure-stamp:
 	dh_testdir
 
-	sed 's/5.2.0/5.2.1/' -i scripts/globus-spec-creator
+	sed 's/5.2.0/5.2.2/' -i scripts/globus-spec-creator
 	sed 's/"$$LDFLAGS -L$$libdir "/"$$LDFLAGS "/' -i config/accompiler.m4
 
 	./bootstrap
 
 	dh_autotools-dev_updateconfig
 
+	PATH=`echo $$PATH | sed 's!/usr/lib/ccache:!!'` \
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
 	FFLAGS="$(FFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
 	LDFLAGS="$(LDFLAGS) -Wl,--as-needed -Wl,-z,defs" ./configure \
@@ -114,7 +114,7 @@
 	find . -name Makefile.in -exec rm {} ';'
 
 	sed 's/"$$LDFLAGS "/"$$LDFLAGS -L$$libdir "/' -i config/accompiler.m4
-	sed 's/5.2.1/5.2.0/' -i scripts/globus-spec-creator
+	sed 's/5.2.2/5.2.0/' -i scripts/globus-spec-creator
 
 	rm -f build-stamp configure-stamp
