## globus-core 8.16

=== debian/changelog ===
globus-core (8.16-3) unstable; urgency=medium

  * Add support for ppc64le (patch from ubuntu)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Feb 2014 16:38:08 +0100

globus-core (8.16-2) unstable; urgency=low

  * Remove flavorincludedir from noflavor build environment (Closes: #729744)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 18 Nov 2013 06:46:24 +0100

globus-core (8.16-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Drop patches implemented upstream
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 08 Nov 2013 15:13:52 +0100
