=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-core
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.6.3-3~)
+Standards-Version: 3.9.5
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-core
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-core
@@ -11,6 +11,7 @@
 Package: globus-core
 Section: net
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${perl:Depends}, libxml-parser-perl
 Description: Globus Toolkit - Globus Core
  The Globus Toolkit is an open source software toolkit used for
