=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,21 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/$(name)
 
 perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
-flavor = gcc64
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 enable64 = yes
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 enable64 = no
 endif
 
@@ -34,12 +35,12 @@
 configure-stamp:
 	dh_testdir
 
-	sed 's/5.2.0/5.2.2/' -i scripts/globus-spec-creator
+	sed 's/5.2.0/5.2.5/' -i scripts/globus-spec-creator
 	sed 's/"$$LDFLAGS -L$$libdir "/"$$LDFLAGS "/' -i config/accompiler.m4
 
+	dh_autotools-dev_updateconfig
+
 	./bootstrap
-
-	dh_autotools-dev_updateconfig
 
 	PATH=`echo $$PATH | sed 's!/usr/lib/ccache:!!'` \
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
@@ -50,6 +51,7 @@
 	   --enable-64bit=$(enable64) \
 	   --enable-debug \
 	   --prefix=$(_prefix) \
+	   --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 	   --sysconfdir=/etc \
 	   --localstatedir=/var \
 	   --sharedstatedir=/var/lib \
@@ -59,7 +61,7 @@
 	   --libexecdir='$${datadir}/globus' \
 	   --with-setupdir='$${datadir}/globus/setup' \
 	   --with-testdir='$${datadir}/globus/test/$${PACKAGE}' \
-	   --with-flavorincludedir='$${libdir}/globus/include' \
+	   --with-flavorincludedir='$${prefix}/include/$(DEB_HOST_MULTIARCH)/globus' \
 	   --with-perlmoduledir=$(perl_vendorlib) \
 	   --with-doxygendir='$${datadir}/globus/doxygen' \
 	   --with-docdir=$(_docdir)
@@ -94,9 +96,10 @@
 
 	rm -f aclocal.m4
 	rm -f configure
-	rm -f config/config.guess
-	rm -f config/config.sub
+	rm -f config/compile
+	rm -f config/install-sh
 	rm -f config/ltmain.sh
+	rm -f config/missing
 	rm -f config/mkinstalldirs
 
 	rm -f pkgdata/*.filelist
@@ -108,13 +111,13 @@
 	rm -rf autom4te.cache
 
 	rm -f globus-*-libdir-choice
-	rm -f scripts/globus-build-env-*.sh
+	rm -f scripts/globus-build-env-$(flavor).sh
 	rm -f scripts/globus-spec-creator.1
 
 	find . -name Makefile.in -exec rm {} ';'
 
 	sed 's/"$$LDFLAGS "/"$$LDFLAGS -L$$libdir "/' -i config/accompiler.m4
-	sed 's/5.2.2/5.2.0/' -i scripts/globus-spec-creator
+	sed 's/5.2.5/5.2.0/' -i scripts/globus-spec-creator
 
 	rm -f build-stamp configure-stamp
