## globus-core 9.0~bpo70+1

=== debian/changelog ===
globus-core (9.0~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports
  * Globus Toolkit 5.2 is EOL - upload Globus Toolkit 6 to wheezy backports
  * Add Breaks with old libglobus-common-dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Oct 2015 17:53:18 +0200

globus-core (9.0) unstable; urgency=medium

  * The globus-core package is no longer needed with Globus Toolkit 6
  * This transitional package provides a dummy pkg-config file to fulfil
    dependencies during the transition

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Sep 2014 09:41:53 +0200
