=== debian/control ===
Source: globus-core
Priority: extra
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.6
Section: oldlibs
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-core
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-core
Homepage: http://www.globus.org/

Package: globus-core
Section: oldlibs
Architecture: any
Multi-Arch: same
Breaks: libglobus-common-dev (<< 15)
Depends: ${misc:Depends}
Description: Globus Toolkit - Globus Core - Transitional Package
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-core package is no longer needed with Globus Toolkit 6.
 This transitional package provides a dummy pkg-config file to fulfill
 dependencies during the transition. In can be removed when no longer
 needed.
