## globus-core 9.0

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Section: oldlibs
 Architecture: any
 Multi-Arch: same
-Breaks: libglobus-common-dev (<< 15)
 Depends: ${misc:Depends}
 Description: Globus Toolkit - Globus Core - Transitional Package
  The Globus Toolkit is an open source software toolkit used for
