## globus-core 9.1

=== debian/changelog ===
globus-core (9.1) unstable; urgency=medium

  * Add conflicts with old libglobus-common-dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 08:00:23 +0100
