=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Section: oldlibs
 Architecture: any
 Multi-Arch: same
+Conflicts: libglobus-common-dev (<< 15)
 Depends: ${misc:Depends}
 Description: Globus Toolkit - Globus Core - Transitional Package
  The Globus Toolkit is an open source software toolkit used for
